ldd
Prev | Cygwin Utilities | Next

## Name

ldd — Print shared library dependencies

## Synopsis

`ldd` [-ruv] `FILE`...

`ldd` -h | -V

## Options

      -h, --help              print this help and exit
      -V, --version           print version information and exit
      -r, --function-relocs   process data and function relocations
                              (currently unimplemented)
      -u, --unused            print unused direct dependencies
                              (currently unimplemented)
      -v, --verbose           print all information
                              (currently unimplemented)

## Description

ldd prints the shared libraries (DLLs) loaded when running an executable or DLL.

### Security

ldd invokes the Windows loader on the file specified, then uses the Windows debugging interface to report DLLs loaded, and (for executables) to attempt to stop execution before the entrypoint. Thus, you should never use ldd on an untrusted file.

Prev | Up | Next
kill | Home | locale